
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 滑动导航菜单的快速构建(二) Material Design / 憋错料</title>

    <meta name="description" content="Android 滑动导航菜单的快速构建(二) Material Design 原创文章,转载请注明 ( 来自:http://blog.csdn.net/leejizhou/article/details/52046748 李济洲的博客 ) 上一篇 http://blog.csdn.net/leejizhou/article/details/52013343 介绍了几个滑动导航菜单效果的快速构建,这篇文章来总结&quot;当下&quot;如何按照Android的设计标准去设计滑动导航菜单,我为什么说的&quot;当下&quot;呢?因为这个设计标准是会变的. 在materi ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android 滑动导航菜单的快速构建(二) Material Design</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>原创文章，转载请注明 ( 来自：<a href="http://blog.csdn.net/leejizhou/article/details/52046748" rel="external nofollow noreferrer">http://blog.csdn.net/leejizhou/article/details/52046748</a> 李济洲的博客 )</p>
<p><strong>上一篇 <a href="http://blog.csdn.net/leejizhou/article/details/52013343" rel="external nofollow noreferrer">http://blog.csdn.net/leejizhou/article/details/52013343</a> 介绍了几个滑动导航菜单效果的快速构建，这篇文章来总结“当下”如何按照Android的设计标准去设计滑动导航菜单，我为什么说的“当下”呢？因为这个设计标准是会变的。</strong></p>
<p><strong>在material design之前，官方对滑动导航菜单的设计标准是这样的。</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MjcxNjI0NTA4MzM=.jpg"></p>
<p>*图片来自<a href="http://www.androiduipatterns.com/2014/10/navigation-drawer-where-does-it-belong.html" rel="external nofollow noreferrer">http://www.androiduipatterns.com/2014/10/navigation-drawer-where-does-it-belong.html</a></p>
<p>滑动导航菜单需要在Actionbar（Toolbar）下面，这在Android 4.X时代是比较常见的设计，也是当时的Android Design标准设计。</p>
<p>随着时间的推移，到了android 5.0时代，google带来了material design，新的设计风格变化比较大， 当然滑动导航菜单的设计标准也跟着改变了，下面是最新官方的滑动导航菜单设计文档。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MzExMTM0MjYyMjA=.jpg"></p>
<p>在新的标准化设计当中，滑动导航菜单一跃来到了所有界面的顶端，这跟之前的设计是截然不同的。</p>
<p>新的滑动导航菜单结构介绍完，再看一下官方设计标准的排版样式</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MzExMTM2MzcyMjE=.jpg"></p>
<p>图片看着可能有些小，官网地址：<a href="https://material.google.com/patterns/navigation-drawer.html#navigation-drawer-specs" rel="external nofollow noreferrer">https://material.google.com/patterns/navigation-drawer.html#navigation-drawer-specs</a></p>
<p>当你看到这个精确到像素级的设计标准的时候，相信你也要气的关网页了吧，还好Android给我提供了一个叫NavigationView这个布局容器，我们可以很快的实现标准设计的滑动导航菜单栏，这也是NavigationView的最主要的用途，当出现新技术的时候，我们不仅仅需要会使用，还要去了解为什么使用它。</p>
<p>当然NavigationView如何使用已经遍地都是了，为了文章的完整性我还是放一些主要的实现代码吧。</p>
<p>NavigationView是和DrawLayout配合使用的，把上一章介绍的DrawLayout使用示例中的菜单布局换成NavigationView就OK了。</p>
<p><strong>下面是实现步骤</strong></p>
<p><strong>1 因为NavigationView在Design库中，需要添加依赖</strong></p>
<pre><code> compile ‘com.android.support:design:24.0.0‘</code></pre>
<p><strong>2 在DrawLayout中添加NavigationView</strong></p>
<blockquote><p>Layout</p></blockquote>
<pre><code>&lt;android.support.v4.widget.DrawerLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/drawerlayout"
    android:fitsSystemWindows="true"
    &gt;

        &lt;LinearLayout
            android:id="@+id/ll_main"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"&gt;

            &lt;android.support.v7.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                android:background="@color/colorPrimary"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light"
                app:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"/&gt;

        &lt;/LinearLayout&gt;

    &lt;android.support.design.widget.NavigationView
        android:id="@+id/navigationView"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        app:headerLayout="@layout/nv_header"
        app:menu="@menu/main_drawer"/&gt;

&lt;/android.support.v4.widget.DrawerLayout&gt;</code></pre>
<p>因为属于DrawLayout的导航菜单布局，所以NavigationView要加上android:layout_gravity=”start”代表从左面滑动，反之是“end”。</p>
<p>其中的app:headerLayout=”@layout/nv_header” 需要传入一个导航菜单的头部布局，它的作用如图绿框部分。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MjkyMjQ4MDUyOTM=.jpg"></p>
<blockquote><p>layout/nv_header.xml</p></blockquote>
<pre><code>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="180dp"
    android:background="@drawable/background_material"
    android:orientation="vertical"
    android:gravity="bottom"
    android:padding="16dp"
    &gt;

    &lt;LinearLayout
        android:layout_width="match_parent"
        android:layout_marginTop="8dp"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:gravity="center_vertical"
        &gt;
    &lt;ImageView
        android:id="@+id/profile_image"
        android:layout_width="76dp"
        android:layout_height="76dp"
        android:background="@drawable/z"
       /&gt;
    &lt;/LinearLayout&gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="lijizhou"
        android:textSize="14sp"
        android:textColor="#FFF"
        android:textStyle="bold"
        android:paddingBottom="4dp"
      /&gt;

    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="http://www.lijizhou.com"
        android:textSize="14sp"
        android:textColor="#fff"
      /&gt;

&lt;/LinearLayout&gt;</code></pre>
<p>app:menu=”@menu/main_drawer”用于设置导航菜单中的菜单部分，如图绿框中。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MzEwMDA0MjA0MTI=.jpg"></p>
<blockquote><p>menu/main_drawer.xml</p></blockquote>
<pre><code>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;menu xmlns:android="http://schemas.android.com/apk/res/android"&gt;
    &lt;group&gt;
        &lt;item android:id="@+id/navigation_item1"
            android:checkable="true"
            android:title="XXXX"
            android:icon="@mipmap/ic_launcher"/&gt;
        &lt;item android:id="@+id/navigation_item2"
            android:checkable="true"
            android:title="XXXX"
            android:icon="@mipmap/ic_launcher"/&gt;
        &lt;item android:id="@+id/navigation_item3"
            android:checkable="true"
            android:title="XXXX"
            android:icon="@mipmap/ic_launcher"/&gt;
        &lt;item android:id="@+id/navigation_item4"
            android:checkable="true"
            android:title="XXXX"
            android:icon="@mipmap/ic_launcher"/&gt;

        &lt;item android:id="@+id/navigation_sub"
        android:title="其他"&gt;
        &lt;menu&gt;
            &lt;item android:id="@+id/navigation_sub_item1"
                android:checkable="true"
                android:title="xxxx"
                android:icon="@mipmap/ic_launcher"/&gt;
            &lt;item android:id="@+id/navigation_sub_item2"
                android:checkable="true"
                android:title="xxxx"
                android:icon="@mipmap/ic_launcher"/&gt;
            &lt;item android:id="@+id/navigation_sub_item3"
                android:checkable="true"
                android:title="xxxx"
                android:icon="@mipmap/ic_launcher"/&gt;
        &lt;/menu&gt;
    &lt;/item&gt;
    &lt;/group&gt;
&lt;/menu&gt;</code></pre>
<p><strong>3 最后是java中代码实现</strong></p>
<pre><code>/**
 * Created by www.lijizhou.com on 2016/7/23.
 * NavigationView Sample
 */
public class NavigationViewActivity extends AppCompatActivity {

    private DrawerLayout drawerLayout;
    private Toolbar toolbar;
    private NavigationView navigationView;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_navigationview);
        if(Build.VERSION.SDK_INT &gt; Build.VERSION_CODES.KITKAT) {
            //透明状态栏
            getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        }
        setSupportActionBar(toolbar=(Toolbar)findViewById(R.id.toolbar));
        drawerLayout=(DrawerLayout)findViewById(R.id.drawerlayout);
        navigationView = (NavigationView) findViewById(R.id.navigationView);

        ActionBarDrawerToggle actionBarDrawerToggle=new ActionBarDrawerToggle(this,drawerLayout,toolbar,R.string.open,R.string.close);
        actionBarDrawerToggle.syncState();
        drawerLayout.addDrawerListener(actionBarDrawerToggle);

        // navigationView menu点击监听
        navigationView.setNavigationItemSelectedListener(new NavigationView.OnNavigationItemSelectedListener() {
            @Override
            public boolean onNavigationItemSelected(MenuItem menuItem) {
                selectDrawerItem(menuItem);
                return true;
            }
        });

    }

    public void  selectDrawerItem(MenuItem menuItem){
        switch (menuItem.getItemId()) {

            // ...
           default:
               Toast.makeText(NavigationViewActivity.this,"menu click",Toast.LENGTH_SHORT).show();
               break;
        }
        menuItem.setChecked(true);
        drawerLayout.closeDrawers();

    }
}
</code></pre>
<p>其中下面代码和布局代码中的android:fitsSystemWindows=”true”起到一个半透明状态栏的作用，半透明状态栏（非叫沉浸）效果有各种实现方式，google也没能给一个好的实现方式，后续可能会考虑写一个全面的了解透明状态效果的文章，这里就不多做介绍了。</p>
<pre><code>if(Build.VERSION.SDK_INT &gt; Build.VERSION_CODES.KITKAT) {
            //透明状态栏
                   getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        }</code></pre>
<p>OK 这一篇介绍了google最新的滑动导航菜单设计标准，也欢迎大家在下方留言和点左上角的关注，谢谢。</p>
<p>源代码下载地址：<a href="https://github.com/lijizhou/SlidingLayoutSample" rel="external nofollow noreferrer">https://github.com/lijizhou/SlidingLayoutSample</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:30:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android 滑动导航菜单的快速构建(二) Material Design的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME2jaQ0.html" rel="bookmark">Android滑动导航菜单TabLayout&plus;ViewPager&plus;Fragment</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.主要的Activity--MemberDetailActivity 2.Activity视图的xml文件--R.layout.activity_member_detail 3.自定义的Fragment子类--CustomTrainingFragment 4.Fragment视图的xml文件-- 5.自定义Fragment子类的适配器 //1.MemberDetailActivitypackage com.vimems.coach; import android.os.Bundle; impo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41Be1YM.html" rel="bookmark">jQuery滑动导航菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot; /&gt; &lt;meta name=&quot;author&quot; content=&quot;abangsir&quot; /&gt; &lt;title&gt;jQuery弹性滑动导航菜单&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; body{ font-famil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzBenkM.html" rel="bookmark">使用 jQuery 和 CSS3 制作滑动导航菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个下拉菜单可以让你的网站非常优雅,滑动框导航效果令人印象深刻.此外,子菜单框也可以与此集成起来以使其更具吸引力.导航是网站成功的关键之一,有吸引力的导航能够引导用户浏览网站中的更多内容. 效果演示      源码下载 您可能感兴趣的相关文章 网站开发中很有用的 jQuery 效果[附源码] 分享35个让人惊讶的 CSS3 动画效果演示 十分惊艳的8个 HTML5 &amp; JavaScript 特效 Web 开发中很实用的10个效果[源码下载] 12款经典的白富美型 jQuery 图片轮播插件 本文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47qkZx0.html" rel="bookmark">关于Android滑动冲突的解决方法（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前的一遍学习笔记主要就Android滑动冲突中,在不同方向的滑动所造成冲突进行了了解,这样的冲突非常easy理解,当然也非常easy解决.今天,就同方向的滑动所造成的冲突进行一下了解,这里就先以垂直方向的滑动冲突为背景,这也是日常开发中最常见的一种情况. 这里先看一张效果图 由于GIF 图片大小的限制.截图效果不是非常好 上图是在购物软件上常见的上拉查看图文详情,关于这中动画效果的实现.事实上实现总体的效果,办法是有非常多的,网上有非常多相关的样例,可是对某些细节的处理不是非常清晰.比方,下拉			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mgna2p4.html" rel="bookmark">Android动画最新最全详解包含Material Design动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前写动画也是零零种种,需要的时候就查API或找现成的,不够系统.现在通过学习将Android整个动画体系勾勒出来,做到有的放矢. 安卓框架提供了2个动画系统:属性动画(Android 3.0)和View动画.这两种动画系统都是可行的,但是,在一般情况下,属性动画是首选的方法,因为它是更灵活,提供更多的功能.除了这两个系统,你可以利用Drawable动画,它允许你一帧一个的加载显示Drawable资源.所以总体来说Android API提供了三类的动画: - Tween动画或View动画(API			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35loEK0.html" rel="bookmark">Android 基于ijkplayer&plus;Rxjava&plus;Rxandroid&plus;Retrofit2&period;0&plus;MVP&plus;Material Design的android万能播放器aaa</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MDPlayer万能播放器 MDPlayer,基于ijkplayer+Rxjava+Rxandroid+Retrofit2.0+MVP+Material Design的android万能播放器,可以播放本地和在线视频,可以浏览宅男杀手妹纸图片,UI设计遵循 Material Design. GitHub地址:https://github.com/Dawish/MDPlayer UI浏览:         1.UI设计: 列表使用RecyclerView,item为CardView并设置rippl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Gpo10.html" rel="bookmark">Android  ViewPager滑动导航菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不占满整个页面的滑动菜单,也可以是自动滑动广告~ package view.example.viewpagerexample; import java.util.ArrayList; import java.util.List; import java.util.concurrent.atomic.AtomicInteger; import android.os.Bundle; import android.os.Handler; import android.os.Message; impor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kJ5zM.html" rel="bookmark">JQ滑动导航菜单的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:不多说直接看效果!!! 这样的菜单我们在一般的网站上见到的也比较多,有比较好的用户体验! 原理:这个很重要,任何的特效只要原理搞明白了,实现起来都是很容易的!这个特效的原理很简单,菜单的样式我们都很容易实现就是一些CSS而已! 中间那个滑块其实就是一个定位为:absolute 的元素,每当鼠标放到一个A元素上的时候用JQ获取到当前A元素的位置和宽度,再用JQ的animate方法,以动画的形式给元素即可! 当然你在这里也可以也一些其它的动画 1.DOM结构   &lt;div class=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZGZRl4.html" rel="bookmark">Android 底部导航菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;FrameLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:layout_width=&quot;fill_parent&quot; android:layout_height=&quot;65.32999dip&quot; android:layout			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aD8AM.html" rel="bookmark" class="title">控制台输入年龄，根据年龄输出不同的提示</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41vlPM.html" rel="bookmark" class="title">Java的JDBC事务详解</a>
					<div>
						一.事务的理解: 1.事务的特性: 1) 原子性(atomicity):事务是数据库的逻辑工作单位,而且是必须是原子工作单位,对于其数据修改,要么全部执行,要么全部不执行. 2) 一致性(consis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knGQdM.html" rel="bookmark" class="title">js数组去重方法</a>
					<div>
						这里提供了3种方法,都比较常见,可以一种一种往下看,越往下,性能越高. 第一种是比较常规的方法,思路如下: 1.构建一个新的数组,新的数组同其中一个一样,存放结果 2.for循环中每次从另一个数组中取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byBO9M.html" rel="bookmark" class="title">为WebFonts技术实现自动裁剪：帮助汉字从我们的时代幸存下去</a>
					<div>
						第一章 我们应该承认,汉字是不适应网络时代的 只从两点来证明:首先,从来没有过一个完整的汉字字体.英语只包含26个字母,构成一篇文章.一个网页所需的全部字符都包含在ASCII码表内,每个字符在计算机中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412AVYM.html" rel="bookmark" class="title">App Widgets</a>
					<div>
						http://developer.android.com/guide/practices/ui_guidelines/widget_design.html#design http://develope ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXrrd3.html" rel="bookmark" class="title">解读gradle编译项目的build目录结构</a>
					<div>
						本文针对android studio工具下的ndk开发. build目录就是项目模块构建过程和结果使用到的位置. 项目根目录下有一个build目录. 项目根目录下各模块子目录下各自有一个build目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d55vg3.html" rel="bookmark" class="title">什么时候使用值类型？什么时候使用引用类型？</a>
					<div>
						CLR支持两种类型:引用类型和值类型 关于引用类型,你必须要知道的: 内存必须从托管堆分配 堆上分配的每个对象都有一些额外成员,这些成员必须初始化 对象中的其他字节总是设为零 从托管堆分配对象时,可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xReJj4.html" rel="bookmark" class="title">Excel VBA自动添加证书&lpar;二&rpar;</a>
					<div>
						继续上次没有写完的随笔,本来是很想一次性写完的,但是到中午一点了还没有吃东西,其实饿的不行了,还好写博客时会自动保存,中间电脑实然蓝屏,花了二个多小时写的没有点击保存,吓我一下,以为会全没了. 前面讲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enObv3.html" rel="bookmark" class="title">ActivePDF Toolkit强大的PDF创建和管理控件</a>
					<div>
						ActivePDF Toolkit是一款功能强大的PDF创建和管理控件,它可以帮助用户创建和管理PDF文件.控件提供的强大API,使得对pdf文件管理的任何自动化操作成为可能-用户可以附加,印戳,缝合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQJjN3.html" rel="bookmark" class="title">nginx网站服务于虚拟主机</a>
					<div>
						   Nginx网站服务于虚拟主机 1:nginx的优点: 稳定性高 系统资源消耗低 http并发量处理能力好可支持30000-50000个并发请求 主要用于静态页面 以线程为单位,一个进程对应多个用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nanv23.html" rel="bookmark" class="title">HP DL360 G9  前面板警告黄灯闪烁</a>
					<div>
						惠普服务器 DL360 G9 前面板警告黄灯闪烁. HP DL360G9 服务器配置: E5-2609V3 16G*2  600G*4  RAID 5  操作系统:Windows2008R2标准版 经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORkZX0.html" rel="bookmark" class="title">Qt开发环境中使用报表控件FastReport遇到的一些问题（二）</a>
					<div>
						上一节中谈到的那个问题:传递的变量内容如果是纯英文,报表报错.经笔者反复测试,找到了解决办法:代码中第5行替换为以下 params&lt;&lt;&quot;my_var&quot;&lt;&lt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxngB0.html" rel="bookmark" class="title">Python学习系列 （ 第二章）：Python 的基础语法的使用</a>
					<div>
						一:Python的用户输入: 1.1 Python的输入 #!/usr/bin/env python # -*- coding: utf-8 -*- # Author:FlyFish #import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wlYR0.html" rel="bookmark" class="title">策略设计模式理解</a>
					<div>
						我们开发过程中,常因为一开始的架构不怎么合理而有可能造成后边客户或者项目经理改需求时,造成我们需要修改原来的代码,一方面是可能写的时间久了回顾起来麻烦,另一方面是牵一发而动全身,改动一个地方造成所有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xv9yQ4.html" rel="bookmark" class="title">PB中用回车键实现tab键的功能</a>
					<div>
						先编辑控件的TabOrder顺序,然后在 global external functions 中定义一个API:Subroutine keybd_event(int bVk,int bScan,ulo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvY694.html" rel="bookmark" class="title">笔记&colon; c开发gui程序 &lpar;WM&lowbar;CREATE&comma; WS&lowbar;CLIPCHILDREN &comma; SetWindowPos&rpar;</a>
					<div>
						过去两年,用c写的gui程序我一般使用的套路是: 在 winMain()中, 先创建一个主窗口, 紧接着就是在下面创建子窗口(子控件). 可能是因为写这方面的程序较少,所以也没遇到什么大问题,之前就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9LWj4.html" rel="bookmark" class="title">HT for Web 3D游戏设计设计--汉诺塔（Towers of Hanoi）</a>
					<div>
						在这里我们将构造一个基于HT for Web的HTML5+JavaScript来实现汉诺塔游戏. 汉诺塔的游戏规则及递归算法分析请参考http://en.wikipedia.org/wiki/Towe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEnjB3.html" rel="bookmark" class="title">memcached 实验篇</a>
					<div>
						虽然在这个年代谈memcached 可能有点晚,大多数cached 应用都在redis 上面,下面将谈谈自已的一些看法, 本文档不做memcached 理论说明,只写实验数据及结果. 基本参数:可以参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLVey4.html" rel="bookmark" class="title">洛谷 P1262 间谍网络</a>
					<div>
						P1262 间谍网络 题目描述 由于外国间谍的大量渗入,国家安全正处于高度的危机之中.如果A间谍手中掌握着关于B间谍的犯罪证据,则称A可以揭发B.有些间谍收受贿赂,只要给他们一定数量的美元,他们就愿意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpBgGM.html" rel="bookmark" class="title">的人链哦i接撒找很反古古感枫道</a>
					<div>
						http://rxlgukdwyrsrzxkk.cidoysh.com http://vvrjzfiukhkizlpz.cidoysh.com http://axbwvropxrydbeee.cido ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
